Bug 1204489 - qemu-system-x86_64 does not recover if bridged ethernet unplugged and replugged
Summary: qemu-system-x86_64 does not recover if bridged ethernet unplugged and replugged
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 21
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-22 15:41 UTC by Alex Villacís Lasso
Modified: 2015-12-02 17:44 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 10:22:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Alex Villacís Lasso 2015-03-22 15:41:48 UTC
Description of problem:
When running a qemu virtual machine with at least one bridged network interface to a physical wired ethernet interface, unplugging and later replugging the cable restores connectivity on the host but not the guest.

Version-Release number of selected component (if applicable):
kernel-3.19.1-201.fc21.x86_64
qemu-2.1.3-3.fc21.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install a qemu virtual machine with kvm support. Operating system does not matter. Configure a bridged virtual interface to a physical wired interface.
2. Check that both host and guest can ping somewhere through the interface.
3. Unplug the network cable.
4. Check that both host and guest lost network connectivity through the wired interface. This is expected.
5. Replug the network cable.

Actual results:
Host regains connectivity through the network interface, verified with ping. However, guest is still unable to communicate through bridged interface. 

Expected results:
Both host and guest should regain connectivity shortly after the network cable is replugged.

Additional info:
Rebooting the virtual machine within the same qemu process does NOT fix the issue. However, shutting down the machine, and then restarting it with a different qemu process restores connectivity.

Comment 1 Fedora End Of Life 2015-11-04 13:02:33 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Cole Robinson 2015-11-05 00:12:37 UTC
Does this still reproduce with fedora 23?

Comment 3 Fedora End Of Life 2015-12-02 10:22:53 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.